glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Protected Member Functions

# Glib::ValueBase_String Class Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::ValueBase_String:
[legend]

List of all members.

## Public Types
typedef const gchar* | CType
## Static Public Member Functions
static GType | value_type ()
## Protected Member Functions
void | set_cstring (const char* data)
const char* | get_cstring () const

## Member Typedef Documentation

typedef const gchar* Glib::ValueBase_String::CType

## Member Function Documentation

const char* Glib::ValueBase_String::get_cstring | ( |  | ) | const`[protected]`

void Glib::ValueBase_String::set_cstring | ( | const char * | data | ) | `[protected]`

static GType Glib::ValueBase_String::value_type | ( |  | ) | `[static]`